---
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  annotations:
    machineconfiguration.openshift.io/generated-by-controller-version: 21f507d532303d9536e8c387801ca1399515d844
  creationTimestamp: "2025-10-27T11:31:58Z"
  generation: 1
  labels:
    machineconfiguration.openshift.io/role: master
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machineconfiguration.openshift.io/generated-by-controller-version: {}
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/role: {}
      f:spec:
        .: {}
        f:baseOSExtensionsContainerImage: {}
        f:config:
          .: {}
          f:ignition:
            .: {}
            f:version: {}
          f:storage:
            .: {}
            f:files: {}
        f:fips: {}
        f:kernelArguments: {}
        f:kernelType: {}
        f:osImageURL: {}
    manager: machine-config-controller
    operation: Update
    time: "2025-10-27T11:31:58Z"
  name: 98-master-generated-kubelet
  resourceVersion: "10204"
  uid: 7af0ff23-3a7a-4ee6-8766-390d029ea1d3
spec:
  baseOSExtensionsContainerImage: ""
  config:
    ignition:
      version: 3.5.0
    storage:
      files:
      - contents:
          compression: ""
          source: data:text/plain;charset=utf-8;base64,[encoded data, 6392 characters]
        mode: 420
        overwrite: true
        path: /etc/kubernetes/kubelet.conf
  fips: false
  kernelArguments: null
  kernelType: ""
  osImageURL: ""
